package com.fs.watch.service;

import com.fs.watch.domain.WatchSportData;
import com.fs.watch.domain.vo.*;
import com.fs.watch.enums.WatchStepStatusEnum;

import java.util.Date;
import java.util.List;

/**
* @author Administrator
* @description 针对表【watch_sport_data(设备sport数据)】的数据库操作Service
* @createDate 2024-10-15 11:06:51
*/
public interface WatchSportDataService{
    Boolean insert(WatchSportData sportData);

    WatchSportDataVo queryByDateAndDeviceIdAndState(String date, String deviceId);

    List<WatchSportData> getByDateAndDeviceId(String date, String deviceId);

    List<String> getTypeByDateAndDeviceId(Date startTime, Date endTime, String deviceId);

    List<WatchSportListVo> queryPageByDataAndDeviceId(Date startTime, Date endTime, String deviceId,Integer pageSize, Integer pageNum);

    List<WatchSportRecordVo> queryRecord(String deviceId);

    WatchSportIndexVo sportData(String userId,String deviceId,Boolean isFamily);

    List<WatchSportDataByDateVo> sportDataByDate(Date startTime, Date endTime, String deviceId);

    WatchSportDetailDataVo dataByType(String deviceId, String type);

    AppFsUserHealthVo getUserHealthInfoByDeviceId(String deviceId,Date startTime, Date endTime,Long userId);

    WatchStepStatusEnum getWeekStatus(String deviceId, String startTime, String endTime);
}
